<script lang="ts">
  import DropDown from '@svelte-ui/select/DropDown.svelte';
  import DropDownArrow from '~/components/select/DropDownArrow.svelte';

  const resources = [
    { id: 0, opt: 'Latest News', icon: '' },
    { id: 1, opt: 'Blog', icon: '' },
  ];

  let active = false;

  const onToggle = (data) => {
    active = data.detail.active;
    console.log('active', active);
  };

  const onClick = () => {
    console.log('click', active);
  };
</script>

<div class="selector">
  <DropDown
    options={resources}
    selected={0}
    {active}
    on:toggle={onToggle} />
  <DropDownArrow
    open={active}
    size={20}
    color={'white'} />
</div>

<style lang="postcss">
  .selector {
    position: relative;
    top: 10px;
    display: flex;
    width: 50%;
    align-items: center;
    border-radius: var(--radius-2);

    /* border: 1px solid; */
    background-color: hsl(212deg 94% 43%);
    margin-inline: auto;

    :global(.selected) {
      width: 100%;
      color: white;
      padding-block: 8px;
      text-align: center;
    }

    :global(.options) {
      width: 100%;
      border-radius: var(--radius-3);
      background-color: white;
      box-shadow: var(--box-shadow);
      opacity: 0;
      transition:
        opacity 0.2s,
        top 0.2s;

      :global(.option + .option) {
        border-top: 1px solid rgb(233 233 233);
        padding-inline: var(--content-margin);
      }
    }

    :global(.options.open) {
      opacity: 1;
    }
  }
</style>
